import 'package:decorated_flutter/decorated_flutter.dart';
import 'package:flutter/material.dart';
import 'package:tencent_live_fluttify/tencent_live_fluttify.dart';

class PusherScreen extends StatefulWidget {
  @override
  _PusherScreenState createState() => _PusherScreenState();
}

class _PusherScreenState extends State<PusherScreen> {
  LivePusher _pusher;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: Text('推流')),
      floatingActionButton: FloatingActionButton(
        onPressed: () {},
        child: Text('重置'),
      ),
      body: DecoratedColumn(
        children: <Widget>[
          Flexible(
            child: CloudVideo(
              onCloudVideoCreated: (controller) async {
                _pusher = await LivePusher.create();
                await _pusher.startPreview(controller.playerView);
              },
            ),
          ),
          Flexible(
            child: DecoratedColumn(
              divider: kDividerTiny,
              children: <Widget>[],
            ),
          ),
        ],
      ),
    );
  }
}
